{% extends 'base.html' %}

{% block content %}
    <h2 style="color : blue"> Profile Page</h2>
    <a  href="{% url 'home' %}">Home</a> /
    {% if user.is_authenticated %}
        <a  href="{% url 'password_change' %}"> Change password</a> /
        <a  href="{% url 'logout' %}">Log out</a> /
        <p> </p>
        <a  href="{% url 'add_friend' %}">Add Friend</a> /
        <a  href="{% url 'set_friend' %}">Set Friend</a> /
        <a  href="{% url 'watch_user' %}">Watch User</a> /
        <a  href="{% url 'add_item' %}">Add Item</a> /
        <p> </p>
        <a  href="{% url 'items' %}">Items</a> /
        <a  href="{% url 'list_item' %}">List Items</a> /
        <a  href="{% url 'watch_item' %}">Watch Item</a> /



        <h2 style="color: blue"> Personal Information</h2>
        <p> <b style="color: red">username : </b> {{user.username}}</p>
        <p> <b style="color: red">Name Surname : </b> {{user.profile.name_surname}}</p>
        <p> <b style="color: red">email : </b> {{user.email}}</p>
        <p> <b style="color: red">username : </b> {{user.username}}</p>

        <h2 style="color: blue"> Notification List: </h2>
        {% for notification in notificationList %}
            <p> {{notification.notification}}</p>
            <p> ------------------------</p>
        {% endfor %}

        <h2 style="color: blue"> Friend Request List: </h2>
        {% for friendrequest in friendrequests %}
            <p> email : {{friendrequest.email}}</p>
        {% endfor %}

        <h2 style="color: blue"> Friend List: </h2>
        {% for friend in friendlist %}
            <p> email : {{friend.email}}</p>
            <p> friendship_status : {{friend.friendship_status}}</p>
        {% endfor %}

        <h2 style="color: blue"> Watch List: </h2>
        {% for watch in watchlist %}
            <p> email : {{watch.email}}</p>
            <p> watch_method : {{watch.watch_method}}</p>
        {% endfor %}
        <p>
            <strong> You are logged in as  {{user.username}}</strong>
        </p>

    {% else %}
        <a  href="{% url 'login' %}">Log in</a> /
        <a  href="{% url 'signup' %}">Sign up</a> /
    {% endif %}



{% endblock %}